package com.chenyang.nse.bussiness.entity.orm.table.core.discovery;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DISCOVERY_VERSRION"
)
public class TcoreDiscoveryVersrion extends TBaseEntity {
   private Date createtime;
   private Date updatetime;
   private String taskid;
   private String taskversion;
   private String username;
   private String userid;
   private String isIntelligent;
   private int tableNum;
   private int confirmfield;
   private int intelligentNum;
   private int sensitivefieldnum;

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskversion() {
      return this.taskversion;
   }

   public void setTaskversion(String taskversion) {
      this.taskversion = taskversion;
   }

   public String getUsername() {
      return this.username;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public String getUserid() {
      return this.userid;
   }

   public void setUserid(String userid) {
      this.userid = userid;
   }

   public String getIsIntelligent() {
      return this.isIntelligent;
   }

   public void setIsIntelligent(String isIntelligent) {
      this.isIntelligent = isIntelligent;
   }

   public int getTableNum() {
      return this.tableNum;
   }

   public void setTableNum(int tableNum) {
      this.tableNum = tableNum;
   }

   public int getConfirmfield() {
      return this.confirmfield;
   }

   public void setConfirmfield(int confirmfield) {
      this.confirmfield = confirmfield;
   }

   public int getIntelligentNum() {
      return this.intelligentNum;
   }

   public void setIntelligentNum(int intelligentNum) {
      this.intelligentNum = intelligentNum;
   }

   public int getSensitivefieldnum() {
      return this.sensitivefieldnum;
   }

   public void setSensitivefieldnum(int sensitivefieldnum) {
      this.sensitivefieldnum = sensitivefieldnum;
   }

   public TcoreDiscoveryVersrion() {
   }

   public TcoreDiscoveryVersrion(Date createtime, Date updatetime, String taskid, String taskversion, String username, String userid, String isIntelligent, int tableNum, int confirmfield, int intelligentNum, int sensitivefieldnum) {
      this.createtime = createtime;
      this.updatetime = updatetime;
      this.taskid = taskid;
      this.taskversion = taskversion;
      this.username = username;
      this.userid = userid;
      this.isIntelligent = isIntelligent;
      this.tableNum = tableNum;
      this.confirmfield = confirmfield;
      this.intelligentNum = intelligentNum;
      this.sensitivefieldnum = sensitivefieldnum;
   }
}
